#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

#include <QGraphicsRectItem>
#include <QGraphicsEllipseItem>

class Shape
{
   public:
       // Shape ();
};

class Ellipse : public QGraphicsEllipseItem, public Shape
{
// QGraphicsItem interface
protected:
       virtual void dragEnterEvent (QGraphicsSceneDragDropEvent *event) override;
       virtual void dropEvent (QGraphicsSceneDragDropEvent *event) override;
public:
    Ellipse ();
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_action_Quit_triggered();

    void on_toolButton_pressed();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
